import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/sDevicetype',
    method: 'post',
    data
  })
}

export function del(id) {
  return request({
    url: 'api/sDevicetype/' + id,
    method: 'delete'
  })
}

export function edit(data) {
  return request({
    url: 'api/sDevicetype',
    method: 'put',
    data
  })
}

export function addReviewDeviceType(data) {
  return request({
    url: 'api/sDevicetypeReview',
    method: 'post',
    data: {
      deviceType: data
    }
  })
}

export function EditReviewDevice(data) {
  return request({
    url: 'api/sEditDevicetypeReview',
    method: 'post',
    data: {
      data: data
    }
  })
}

export function getDevicetypeNopage() {
  return request({
    url: 'api/getDevicetypeNopage',
    method: 'post'
  })
}
